Bug 244117 - irc/unreal: Update to 5.0.3.1
Summary: irc/unreal: Update to 5.0.3.1
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL: http://unrealircd.org
Keywords: needs-patch, security
Depends on:
Blocks:
 
Reported: 2020-02-14 08:02 UTC by shon
Modified: 2020-02-17 06:22 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shon 2020-02-14 08:02:37 UTC
Port is extremely old and the version in ports is no longer supported by the unrealircd team. The latest version is 5.0.3.1. Can we get this updated, please?
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-14 09:52:56 UTC
This issue needs a patch to progress, and the port needs a maintainer
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-14 09:57:09 UTC
I'll take this. If someone can assist with a patch, that would be greatly appreciated
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-14 10:01:42 UTC
As announced a year ago, all support for UnrealIRCd 3.2.x will stop after December 31, 2016 [1]


All UnrealIRCd versions up to and including 4.0.14 can be crashed by a remote user ... <snip> [2]

UnrealIRCd 4.0.18 (stable) is now available for download. This is a recommended upgrade because it fixes some memory leaks / security issues present in 4.0.17 and earlier version [3]

The above security issues should have VuXML entries added (in addition to the 5.x update).

[1] https://forums.unrealircd.org/viewtopic.php?f=1&t=8629
[2] https://forums.unrealircd.org/viewtopic.php?f=1&t=8751
[3] https://forums.unrealircd.org/viewtopic.php?f=1&t=8821